RPC_GSS_MECH_TO_OID(3)

NAME
rpc_gss_mech_to_oid - Convert a mechanism name to a GSS-API oid

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_mech_to_oid(const char *mech, gss_OID *oid_ret);

DESCRIPTION
This function returns the GSS OID associated with the GSS_API mechanism "mech".

PARAMETERS

mech
    The name of a GSS_API mechanism. "kerberos_v5" is currently the only supported mechanism.

oid_ret
    Buffer in which to place the returned OID

RETURN VALUES
If the GSS_API mechanism name is recognized, TRUE is returned. The corresponding GSS-API oid is returned in *oid_ret. Otherwise FALSE is returned and *oid_ret is left untouched.

AVAILABILITY
The rpc_gss_mech_to_oid() function is part of libtirpc.

SEE ALSO
rpc(3), gssapi(3), rpcsec_gss(3)

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.